Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.callsite
Interface CallSite

All Known Implementing Classes:
  AbstractCallSite, ConstructorMetaClassSite, ConstructorMetaMethodSite, ConstructorSite, ConstructorSite.ConstructorSiteNoUnwrap, ConstructorSite.ConstructorSiteNoUnwrapNoCoerce, ConstructorSite.NoParamSite, DummyCallSite, GetEffectivePogoFieldSite, GetEffectivePojoPropertySite, MetaClassConstructorSite, MetaClassSite, MetaMethodSite, NullCallSite, NumberNumberMetaMethod.NumberNumberCallSite, PerInstancePojoMetaClassSite, PogoGetPropertySite, PogoInterceptableSite, PogoMetaClassGetPropertySite, PogoMetaClassSite, PogoMetaMethodSite, PogoMetaMethodSite.PogoCachedMethodSite, PogoMetaMethodSite.PogoCachedMethodSiteNoUnwrap, PogoMetaMethodSite.PogoCachedMethodSiteNoUnwrapNoCoerce, PogoMetaMethodSite.PogoMetaMethodSiteNoUnwrap, PogoMetaMethodSite.PogoMetaMethodSiteNoUnwrapNoCoerce, PojoMetaClassGetPropertySite, PojoMetaClassSite, PojoMetaMethodSite, PojoMetaMethodSite.PojoCachedMethodSite, PojoMetaMethodSite.PojoCachedMethodSiteNoUnwrap, PojoMetaMethodSite.PojoCachedMethodSiteNoUnwrapNoCoerce, PojoMetaMethodSite.PojoMetaMethodSiteNoUnwrap, PojoMetaMethodSite.PojoMetaMethodSiteNoUnwrapNoCoerce, StaticMetaClassSite, StaticMetaMethodSite, StaticMetaMethodSite.StaticMetaMethodSiteNoUnwrap, StaticMetaMethodSite.StaticMetaMethodSiteNoUnwrapNoCoerce

    public interface CallSite

Method Summary
`Object` | `call(Object receiver)`
`Object` | `call(Object receiver, Object arg1)`
`Object` | `call(Object receiver, Object[] args)`
`Object` | `call(Object receiver, Object arg1, Object arg2)`
`Object` | `call(Object receiver, Object arg1, Object arg2, Object arg3)`
`Object` | `call(Object receiver, Object arg1, Object arg2, Object arg3, Object arg4)`
`Object` | `callConstructor(Object receiver)`
`Object` | `callConstructor(Object receiver, Object arg1)`
`Object` | `callConstructor(Object receiver, Object[] args)`
`Object` | `callConstructor(Object receiver, Object arg1, Object arg2)`
`Object` | `callConstructor(Object receiver, Object arg1, Object arg2, Object arg3)`
`Object` | `callConstructor(Object receiver, Object arg1, Object arg2, Object arg3, Object arg4)`
`Object` | `callCurrent(GroovyObject receiver)`
`Object` | `callCurrent(GroovyObject receiver, Object arg1)`
`Object` | `callCurrent(GroovyObject receiver, Object[] args)`
`Object` | `callCurrent(GroovyObject receiver, Object arg1, Object arg2)`
`Object` | `callCurrent(GroovyObject receiver, Object arg1, Object arg2, Object arg3)`
`Object` | `callCurrent(GroovyObject receiver, Object arg1, Object arg2, Object arg3, Object arg4)`
`Object` | `callGetProperty(Object receiver)`
`Object` | `callGetPropertySafe(Object receiver)`
`Object` | `callGroovyObjectGetProperty(Object receiver)`
`Object` | `callGroovyObjectGetPropertySafe(Object receiver)`
`Object` | `callSafe(Object receiver)`
`Object` | `callSafe(Object receiver, Object arg1)`
`Object` | `callSafe(Object receiver, Object[] args)`
`Object` | `callSafe(Object receiver, Object arg1, Object arg2)`
`Object` | `callSafe(Object receiver, Object arg1, Object arg2, Object arg3)`
`Object` | `callSafe(Object receiver, Object arg1, Object arg2, Object arg3, Object arg4)`
`Object` | `callStatic(Class receiver)`
`Object` | `callStatic(Class receiver, Object arg1)`
`Object` | `callStatic(Class receiver, Object[] args)`
`Object` | `callStatic(Class receiver, Object arg1, Object arg2)`
`Object` | `callStatic(Class receiver, Object arg1, Object arg2, Object arg3)`
`Object` | `callStatic(Class receiver, Object arg1, Object arg2, Object arg3, Object arg4)`
`CallSiteArray` | `getArray()`
`int` | `getIndex()`
`String` | `getName()`
`Object` | `getProperty(Object receiver)`
`AtomicInteger` | `getUsage()`

Method Detail

### getArray

    CallSiteArray getArray()

### getIndex

    int getIndex()

### getName

    String getName()

### getUsage

    AtomicInteger getUsage()

### getProperty

    Object getProperty(Object receiver)
                       throws Throwable

  Throws:
    `Throwable`

### callGetPropertySafe

    Object callGetPropertySafe(Object receiver)
                               throws Throwable

  Throws:
    `Throwable`

### callGetProperty

    Object callGetProperty(Object receiver)
                           throws Throwable

  Throws:
    `Throwable`

### callGroovyObjectGetProperty

    Object callGroovyObjectGetProperty(Object receiver)
                                       throws Throwable

  Throws:
    `Throwable`

### callGroovyObjectGetPropertySafe

    Object callGroovyObjectGetPropertySafe(Object receiver)
                                           throws Throwable

  Throws:
    `Throwable`

### call

    Object call(Object receiver,
                Object[] args)
                throws Throwable

  Throws:
    `Throwable`

### call

    Object call(Object receiver)
                throws Throwable

  Throws:
    `Throwable`

### call

    Object call(Object receiver,
                Object arg1)
                throws Throwable

  Throws:
    `Throwable`

### call

    Object call(Object receiver,
                Object arg1,
                Object arg2)
                throws Throwable

  Throws:
    `Throwable`

### call

    Object call(Object receiver,
                Object arg1,
                Object arg2,
                Object arg3)
                throws Throwable

  Throws:
    `Throwable`

### call

    Object call(Object receiver,
                Object arg1,
                Object arg2,
                Object arg3,
                Object arg4)
                throws Throwable

  Throws:
    `Throwable`

### callSafe

    Object callSafe(Object receiver,
                    Object[] args)
                    throws Throwable

  Throws:
    `Throwable`

### callSafe

    Object callSafe(Object receiver)
                    throws Throwable

  Throws:
    `Throwable`

### callSafe

    Object callSafe(Object receiver,
                    Object arg1)
                    throws Throwable

  Throws:
    `Throwable`

### callSafe

    Object callSafe(Object receiver,
                    Object arg1,
                    Object arg2)
                    throws Throwable

  Throws:
    `Throwable`

### callSafe

    Object callSafe(Object receiver,
                    Object arg1,
                    Object arg2,
                    Object arg3)
                    throws Throwable

  Throws:
    `Throwable`

### callSafe

    Object callSafe(Object receiver,
                    Object arg1,
                    Object arg2,
                    Object arg3,
                    Object arg4)
                    throws Throwable

  Throws:
    `Throwable`

### callCurrent

    Object callCurrent(GroovyObject receiver,
                       Object[] args)
                       throws Throwable

  Throws:
    `Throwable`

### callCurrent

    Object callCurrent(GroovyObject receiver)
                       throws Throwable

  Throws:
    `Throwable`

### callCurrent

    Object callCurrent(GroovyObject receiver,
                       Object arg1)
                       throws Throwable

  Throws:
    `Throwable`

### callCurrent

    Object callCurrent(GroovyObject receiver,
                       Object arg1,
                       Object arg2)
                       throws Throwable

  Throws:
    `Throwable`

### callCurrent

    Object callCurrent(GroovyObject receiver,
                       Object arg1,
                       Object arg2,
                       Object arg3)
                       throws Throwable

  Throws:
    `Throwable`

### callCurrent

    Object callCurrent(GroovyObject receiver,
                       Object arg1,
                       Object arg2,
                       Object arg3,
                       Object arg4)
                       throws Throwable

  Throws:
    `Throwable`

### callStatic

    Object callStatic(Class receiver,
                      Object[] args)
                      throws Throwable

  Throws:
    `Throwable`

### callStatic

    Object callStatic(Class receiver)
                      throws Throwable

  Throws:
    `Throwable`

### callStatic

    Object callStatic(Class receiver,
                      Object arg1)
                      throws Throwable

  Throws:
    `Throwable`

### callStatic

    Object callStatic(Class receiver,
                      Object arg1,
                      Object arg2)
                      throws Throwable

  Throws:
    `Throwable`

### callStatic

    Object callStatic(Class receiver,
                      Object arg1,
                      Object arg2,
                      Object arg3)
                      throws Throwable

  Throws:
    `Throwable`

### callStatic

    Object callStatic(Class receiver,
                      Object arg1,
                      Object arg2,
                      Object arg3,
                      Object arg4)
                      throws Throwable

  Throws:
    `Throwable`

### callConstructor

    Object callConstructor(Object receiver,
                           Object[] args)
                           throws Throwable

  Throws:
    `Throwable`

### callConstructor

    Object callConstructor(Object receiver)
                           throws Throwable

  Throws:
    `Throwable`

### callConstructor

    Object callConstructor(Object receiver,
                           Object arg1)
                           throws Throwable

  Throws:
    `Throwable`

### callConstructor

    Object callConstructor(Object receiver,
                           Object arg1,
                           Object arg2)
                           throws Throwable

  Throws:
    `Throwable`

### callConstructor

    Object callConstructor(Object receiver,
                           Object arg1,
                           Object arg2,
                           Object arg3)
                           throws Throwable

  Throws:
    `Throwable`

### callConstructor

    Object callConstructor(Object receiver,
                           Object arg1,
                           Object arg2,
                           Object arg3,
                           Object arg4)
                           throws Throwable

  Throws:
    `Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2009 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD